Subject: bug#57003: 28.1.90; Can local variables be loaded before loading major mode?

From: Richard Stallman <[email-masked]>
Date: Sun, 14 Aug 2022 23:09:29 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > So I'd really prefer a new way to specify "early variables", but I have
  > > no idea how that'd look in practice.  Perhaps just a new thing in
  > > .dir-local.el, making that backwards-compatible is a challenge in
  > > itself.

  > Maybe something like 'early-local property instead of 'permanent-local?
  > It will not break the existing cases, while allowing the major modes or
  > users to mark the variables that are safe to load early.

Could you spell out the behavior you propose `early-local' to have?
>From those three lines, I am not sure what it would do.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)